Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::iter_enumerate_fn Struct Reference
Iterator
Inheritance diagram for ranges::iter_enumerate_fn:

## Public Member Functions
template<typename I , typename S >
constexpr std::pair< iter_difference_t< I >, I > | operator() (I first, S last) const

## Member Function Documentation

## ◆ operator()()

template<typename I , typename S >

constexpr std::pair<iter_difference_t<I>, I> ranges::iter_enumerate_fn::operator() | ( | I | first,
|  | S | last
| ) |  | const
| constexpr

Precondition
  requires `sentinel_for<S, I>`